Default carrier.

Discussion in 'iPhone' started by CBTOUCH, Sep 9, 2010.

  1. CBTOUCH

    CBTOUCH New Member

    Joined:
    Oct 20, 2009
    Messages:
    87
    Likes Received:
    0
    Device:
    4G iPod touch
    My little brother just took delivery of his 2nd hand Iphone 3g (MB Model) which is running 4.0, jailbroken and unlocked. Like most 3g iphones, 4.0 is running SUPER slow and he asked me about upgrading to the new 4.1.

    He isnt bothered about loosing the jailbreak BUT he/nor me are sure what the default carrier is for his phone. I'm aware that there are no jailbreaks or unlocks currently for 4.1 and the last thing he wants is to upgrade to 4.1 and his 'O2' no longer works.


    Is there anyway to find out what network the iphone was originally factory locked to?? (before it was jailbroken and unlocked)?


    Thanks.
  2. guy123456

    guy123456 Member

    Joined:
    Nov 8, 2009
    Messages:
    919
    Likes Received:
    1
    its limited to ATT without the unlock
  3. ChrisGonzales90

    ChrisGonzales90 Banned

    Joined:
    Sep 5, 2010
    Messages:
    1,137
    Likes Received:
    0
    Device:
    iPad
    Yeah. In the US its AT&T.
  4. CBTOUCH

    CBTOUCH New Member

    Joined:
    Oct 20, 2009
    Messages:
    87
    Likes Received:
    0
    Device:
    4G iPod touch

    Im in the UK guys.
  5. ripply

    ripply Active Member

    Joined:
    Jul 31, 2009
    Messages:
    1,159
    Likes Received:
    2
    Device:
    iPhone 4 (Black)
    I think it's o2
  6. Imariel

    Imariel New Member

    Joined:
    Jun 22, 2010
    Messages:
    203
    Likes Received:
    0
    Device:
    iPhone 3GS (Black)
    In the UK the default carrier is O2, you're safe. But if you want to unlock anyway and have a Mac, you can use PwnageTool to upgrade and preserve your baseband.
  7. metakirbyknight

    metakirbyknight New Member

    Joined:
    Jan 2, 2010
    Messages:
    180
    Likes Received:
    0
    Or he could just restore to 4.0 unjailbroken and see if the SIM works, then if it does, go update, otherwise, stay on 4.0 or downgrade to 3.x

Share This Page